Bug 498591 - Cannot specify mount point for hard disk partition containing the ISO install image
Cannot specify mount point for hard disk partition containing the ISO install...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 07:05 EDT by Davide Cescato
Modified: 2009-10-21 15:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-21 15:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-logs.tgz (/tmp/*log*) (240.00 KB, application/octet-stream)
2009-05-18 15:37 EDT, James Laska
no flags Details

  None (edit)
Description Davide Cescato 2009-05-01 07:05:01 EDT
Description of problem:

I installed Fedora-11-Preview-x86_64-DVD from an ISO image stored on the hard disk partition /dev/sda6. I chose to create a custom partition layout for /dev/sda. However, I was unable to specify the mount point for /dev/sda6. When selecting /dev/sda6 and clicking "Edit", a popup window said that the partition holding the install image cannot be edited.

I understand that I am not supposed to be able to format the partition I am installing from, but I should still be able to specify the mount point. So, instead of disabling the entire "Edit" dialog for /dev/sda6, the "Edit" dialog should be displayed and allow to specify the mount point, whereas the format checkbox should be disabled.

I solved my problem by editing /etc/fstab after the installation, but this is suboptimal when compared to the desired behaviour of specifying the mount point during installation (as it was the case in previous releases).


Version-Release number of selected component (if applicable):

as in Fedora 11 Preview Release


How reproducible:

always


Steps to Reproduce:

1. store installation ISO image in /dev/sdax (x indicates the partition number)
2. perform installation from /dev/sdax
3. select custom partition layout
4. try editing the partition /dev/sdax to specify the mount point


Actual results:

A popup appears, stating that the "Edit" dialog for /dev/sdax is disabled. 


Expected results:

The "Edit" dialog appears, allowing to specify the mount point and the filesystem type, but not allowing to format the partition.
Comment 1 Chris Lumens 2009-05-01 13:43:53 EDT
This should be fixed in the next build of anaconda.  Thanks for the bug report.
Comment 2 James Laska 2009-05-18 15:35:53 EDT
Testing against anaconda-11.5.0.52 ... When selecting the HD ISO partition, I can click "Edit" and enter a mount point.

However the UI does not reflect the mount point selection.
Comment 3 James Laska 2009-05-18 15:37:48 EDT
Created attachment 344510 [details]
anaconda-logs.tgz (/tmp/*log*)
Comment 4 James Laska 2009-06-04 12:08:41 EDT
Tested against anaconda-11.5.0.59 (F-11-RC4) and problem remains.  This is not a release blocker.
Comment 5 Bug Zapper 2009-06-09 10:55:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Davide Cescato 2009-06-10 17:40:16 EDT
The bug is still present in F11 final. I could reproduce it while installing Fedora-11-x86_64-DVD.
Comment 7 David Lehman 2009-08-28 12:02:39 EDT
Fixed in anaconda-12.18.
Comment 8 John Poelstra 2009-09-11 11:13:59 EDT
This bug was reviewed at the Fedora 12 Beta Blocker bug meeting on 2009-09-11. The next action is to test and confirm that this issue is fixed.
Comment 9 John Poelstra 2009-09-18 11:09:03 EDT
This bug was reviewed at the Fedora 12 Beta Blocker bug meeting on 2009-09-18.  It still needs to be retested.
Comment 10 Adam Williamson 2009-09-22 12:43:28 EDT
this shouldn't block the beta, anyway.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Davide Cescato 2009-10-21 15:30:27 EDT
I tested it on F12 beta (x86_64, install from DVD image on hard disk) and I can confirm that the bug has been fixed. Thanks!

Closing.

Note You need to log in before you can comment on or make changes to this bug.